Distribution:	CCux
Packager:	Christian Metzen <metzench@ccux-linux.de>

Name:           photoprint
Version:        0.4.1
Release:        1
Summary:        Utility for printing digital photographs

Group:          Graphics
License:        GPLv2+
URL:            http://blackfiveimaging.co.uk/index.php?article=02Software%2F01PhotoPrint
Source0:        http://www.blackfiveimaging.co.uk/photoprint/%{name}-%{version}-pre4.tar.gz
Patch0:         photoprint-0.4.0-paths.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:  gettext
BuildRequires:  desktop-file-utils

#Automatically resolved build dependencies
BuildRequires: atk-devel
BuildRequires: cairo-devel
BuildRequires: cups-devel
BuildRequires: fontconfig-devel
BuildRequires: freetype-devel
BuildRequires: glibc-devel
BuildRequires: glib-devel
BuildRequires: gtk2+-devel
BuildRequires: gutenprint-devel
BuildRequires: lcms-devel
BuildRequires: libgcc
BuildRequires: libjpeg-devel
BuildRequires: libstdc++-devel
BuildRequires: libtiff-devel
BuildRequires: libX11-devel
BuildRequires: libxcb-devel
BuildRequires: libXrender-devel
BuildRequires: netpbm-devel
BuildRequires: pango-devel
BuildRequires: xcb-util-devel
BuildRequires: zlib-devel

%description
PhotoPrint is a utility designed to assist in the process 
of printing digital photographs.
PhotoPrint can do the following:

* Print photographs 1-up, 2-up, 4-up or with any user-selectable
  number of rows and columns.
* Create posters, split over several pages.
* Arrange images into a sort of Carousel, fading from one to 
  another.  (Ideal for CD labels)
* Crop images to fit a specific frame.
* Apply a decorative border to an image.
* Make use of ICC colour profiles to provide accurate output.
* Send 16-bit data to the printer, to avoid "contouring" problems 
  in smooth gradients.
* Apply a handful of effecs to an image, including sharpening, 
  removing colour and adjusting colour temperature 
  (ideal for cooling or warming black-and-white prints).


%prep
%setup -q -n %{name}-%{version}-pre4
#%patch0 -p1 -b .paths

%build
%configure
make %{?_smp_mflags}


%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT

# install man page
install  -Dpm 0644 %{name}.1 $RPM_BUILD_ROOT%{_mandir}/man1/%{name}.1

desktop-file-validate %{buildroot}/%{_datadir}/applications/fotoprint.desktop

%find_lang %{name}

%clean
rm -rf $RPM_BUILD_ROOT

%post
touch --no-create %{_datadir}/icons/hicolor &>/dev/null || :
update-desktop-database &> /dev/null || :


%postun
if [ $1 -eq 0 ] ; then
    touch --no-create %{_datadir}/icons/hicolor &>/dev/null
    gtk-update-icon-cache %{_datadir}/icons/hicolor &>/dev/null || :
fi
update-desktop-database &> /dev/null || :

%posttrans
gtk-update-icon-cache %{_datadir}/icons/hicolor &>/dev/null || :

%files -f %{name}.lang
%defattr(-,root,root,-)
%doc NEWS README ChangeLog COPYING 
%{_bindir}/photoprint
%{_datadir}/applications/fotoprint.desktop
%{_datadir}/icons/hicolor/48x48/apps/fotoprint.png
%{_datadir}/photoprint/
%{_mandir}/man1/photoprint.1.gz

%changelog
* Thu Oct 15 2009 Karsten Brockmann <arcam@ccux-linux.de> 0.4.1-1
- Version update
- pre4
* Tue Apr 28 2009 Christian Metzen <metzench@ccux-linux.de> 0.4.0-1
- Initial package release
